<template>
  <div class="wrapper pb-5">
    <div class="container">
      <div class="text-center text-md-left mb-3">
        <h1 class="text-dark font-weight-bold h2 mt-4 mt-md-5" v-html="$t('home.title')" />
        <p class="text-dark h5 mb-3" v-html="$t('home.subtitle')" />
        <b-button
          variant="primary"
          class="text-uppercase text-white font-weight-bold btn--bottomed"
          :to="localePath({ name: 'namebooks-id', params: {id: 1} })"
        >
          {{ $t('create_book') }}
        </b-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AppWrapper'

}
</script>

<style lang="scss" scoped>
    //noinspection CssUnknownTarget
    @import "@/assets/scss/_variables.scss";
    @import "~bootstrap/scss/mixins/breakpoints";
    .wrapper {
        background-image: url('../static/images/banner.jpg');
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        min-height: 30rem;
        max-height: 50rem;
        height: 50vh;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: bottom center;
        position: relative;
        @include media-breakpoint-down(sm) {
            background-image: url('../static/images/banner_mobile.jpg');
            justify-content: flex-start;
        }

        &::after {
            content: none;
            position: absolute;
            background-color: rgba(black, 0.4);
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
        }

        * {
            z-index: 1;
        }
    }
</style>
